com.pivotal.gemfirexd.internal.client.am

## Class XaException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.transaction.xa.XAException
      - - com.pivotal.gemfirexd.internal.client.am.XaException

All Implemented Interfaces:
  Diagnosable, Serializable

    public class XaException
    extends XAException
    implements Diagnosable

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class javax.transaction.xa.XAException

`errorCode, XA_HEURCOM, XA_HEURHAZ, XA_HEURMIX, XA_HEURRB, XA_NOMIGRATE, XA_RBBASE, XA_RBCOMMFAIL, XA_RBDEADLOCK, XA_RBEND, XA_RBINTEGRITY, XA_RBOTHER, XA_RBPROTO, XA_RBROLLBACK, XA_RBTIMEOUT, XA_RBTRANSIENT, XA_RDONLY, XA_RETRY, XAER_ASYNC, XAER_DUPID, XAER_INVAL, XAER_NOTA, XAER_OUTSIDE, XAER_PROTO, XAER_RMERR, XAER_RMFAIL`

### Constructor Summary

Constructors
Constructor and Description
`XaException(LogWriter logWriter)`
`XaException(LogWriter logWriter, int errcode)`
`XaException(LogWriter logWriter, String s)`
`XaException(LogWriter logWriter, Throwable throwable)`
`XaException(LogWriter logWriter, Throwable throwable, int errcode)`
`XaException(LogWriter logWriter, Throwable throwable, String s)`

### Method Summary

Methods
`Sqlca` `getSqlca()`
`void` `printTrace(PrintWriter printWriter, String header)`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### XaException

    public XaException(LogWriter logWriter)

#### XaException

    public XaException(LogWriter logWriter,
               Throwable throwable)

#### XaException

    public XaException(LogWriter logWriter,
               int errcode)

#### XaException

    public XaException(LogWriter logWriter,
               Throwable throwable,
               int errcode)

#### XaException

    public XaException(LogWriter logWriter,
               String s)

#### XaException

    public XaException(LogWriter logWriter,
               Throwable throwable,
               String s)

### Method Detail

#### getSqlca

    public Sqlca getSqlca()

Specified by:
  `getSqlca` in interface `Diagnosable`

#### printTrace

    public void printTrace(PrintWriter printWriter,
                  String header)

Specified by:
  `printTrace` in interface `Diagnosable`